Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorColin Ritchie2016-03-29 17:13:31 -0400
committerSam Davis2016-04-25 14:37:28 -0400
commit80c5381c8f069f3708b2f2c8ae4328facae141d3 (patch)
treee994cab982f1ed815cabed78ea7bf9e6b0ef7f5f
parent0397249db902c0bba48bf5061e3aecc8f4630aa7 (diff)
downloadorg.eclipse.mylyn-80c5381c8f069f3708b2f2c8ae4328facae141d3.tar.gz
org.eclipse.mylyn-80c5381c8f069f3708b2f2c8ae4328facae141d3.tar.xz
org.eclipse.mylyn-80c5381c8f069f3708b2f2c8ae4328facae141d3.zip
487770: Mylyn bundles require Java 8
Change-Id: I48aa3473169ca5befb92fe6d64ce47a7fe85c602 Task-Url: https://bugs.eclipse.org/bugs/show_bug.cgi?id=487770 Signed-off-by: Colin Ritchie <colin.ritchie@tasktop.com>
-rw-r--r--org.eclipse.mylyn-parent/pom.xml60
-rw-r--r--org.eclipse.mylyn-site/pom.xml5
-rw-r--r--org.eclipse.mylyn-target/mylyn-dev-all.target2
-rw-r--r--org.eclipse.mylyn-target/mylyn-dev-e3.6.target61
-rw-r--r--org.eclipse.mylyn-target/mylyn-dev-e3.7.target60
-rw-r--r--org.eclipse.mylyn-target/mylyn-dev-e3.8.target63
-rw-r--r--org.eclipse.mylyn-target/mylyn-dev-e4.2.target2
-rw-r--r--org.eclipse.mylyn-target/mylyn-dev-e4.3.target2
-rw-r--r--org.eclipse.mylyn-target/mylyn-e3.6.target90
-rw-r--r--org.eclipse.mylyn-target/mylyn-e3.7.target81
-rw-r--r--org.eclipse.mylyn-target/mylyn-e3.8.target77
-rw-r--r--org.eclipse.mylyn-target/pom.xml17
-rw-r--r--org.eclipse.mylyn.tests/.classpath2
-rw-r--r--org.eclipse.mylyn.tests/.settings/org.eclipse.jdt.core.prefs6
-rw-r--r--org.eclipse.mylyn.tests/META-INF/MANIFEST.MF2
15 files changed, 20 insertions, 510 deletions
diff --git a/org.eclipse.mylyn-parent/pom.xml b/org.eclipse.mylyn-parent/pom.xml
index 01d02b4..4e6f781 100644
--- a/org.eclipse.mylyn-parent/pom.xml
+++ b/org.eclipse.mylyn-parent/pom.xml
@@ -24,8 +24,8 @@
</prerequisites>
<properties>
- <tycho-version>0.20.0</tycho-version>
- <tycho-extras-version>0.20.0</tycho-extras-version>
+ <tycho-version>0.21.0</tycho-version>
+ <tycho-extras-version>0.21.0</tycho-extras-version>
<mylyn-test-append></mylyn-test-append>
@@ -69,9 +69,8 @@
<egit-repository-url>http://download.eclipse.org/egit/updates-1.3/</egit-repository-url>
<swtbot-repository-url>http://download.eclipse.org/technology/swtbot/helios/dev-build/update-site/</swtbot-repository-url>
- <!-- alternative target for components that don't build against galileo -->
- <alt-target-version>3.7</alt-target-version>
- <alt-platform-repository-url>http://download.eclipse.org/releases/indigo/201202240900/</alt-platform-repository-url>
+ <alt-target-version>4.5</alt-target-version>
+ <alt-platform-repository-url>http://download.eclipse.org/releases/mars/</alt-platform-repository-url>
<orbit-repository-url>http://download.eclipse.org/tools/orbit/downloads/drops/R20140525021250/repository/</orbit-repository-url>
<jdt-annotation-repository-url>http://download.eclipse.org/mylyn/snapshots/jdt-annotation/</jdt-annotation-repository-url>
@@ -307,49 +306,8 @@
</activation>
<!-- Properties get overridden if a specific target profile is activated. -->
<properties>
- <target-version>3.6</target-version>
- <platform-repository-url>http://download.eclipse.org/releases/helios/201102250900/</platform-repository-url>
- </properties>
- </profile>
- <profile>
- <id>helios</id>
- <activation>
- <property>
- <name>target-profile</name>
- <value>helios</value>
- </property>
- </activation>
- <properties>
- <target-version>3.6</target-version>
- <platform-repository-url>http://download.eclipse.org/releases/helios/201102250900/</platform-repository-url>
- </properties>
- </profile>
- <profile>
- <id>indigo</id>
- <activation>
- <property>
- <name>target-profile</name>
- <value>indigo</value>
- </property>
- </activation>
- <properties>
- <target-version>3.7</target-version>
- <platform-repository-url>http://download.eclipse.org/releases/indigo/201202240900/</platform-repository-url>
- </properties>
- </profile>
- <profile>
- <id>e3.8</id>
- <activation>
- <property>
- <name>target-profile</name>
- <value>e3.8</value>
- </property>
- </activation>
- <properties>
- <target-version>3.8</target-version>
- <platform-repository-url>http://download.eclipse.org/releases/juno/201303010900/</platform-repository-url>
- <alt-target-version>3.8</alt-target-version>
- <alt-platform-repository-url>http://download.eclipse.org/releases/juno/201303010900/</alt-platform-repository-url>
+ <target-version>4.5</target-version>
+ <platform-repository-url>http://download.eclipse.org/releases/mars/</platform-repository-url>
</properties>
</profile>
<profile>
@@ -639,8 +597,8 @@
<artifactId>maven-compiler-plugin</artifactId>
<version>2.0.2</version>
<configuration>
- <source>1.7</source>
- <target>1.7</target>
+ <source>1.8</source>
+ <target>1.8</target>
</configuration>
</plugin>
<plugin>
@@ -704,7 +662,7 @@
<configuration>
<sourceEncoding>utf-8</sourceEncoding>
<minimumTokens>100</minimumTokens>
- <targetJdk>1.7</targetJdk>
+ <targetJdk>1.8</targetJdk>
<format>xml</format>
<failOnViolation>false</failOnViolation>
<skip>${analysis.skip}</skip>
diff --git a/org.eclipse.mylyn-site/pom.xml b/org.eclipse.mylyn-site/pom.xml
index bc1f0b6..6283b62 100644
--- a/org.eclipse.mylyn-site/pom.xml
+++ b/org.eclipse.mylyn-site/pom.xml
@@ -12,13 +12,12 @@
<artifactId>org.eclipse.mylyn-site</artifactId>
<version>3.20.0-SNAPSHOT</version>
<packaging>eclipse-update-site</packaging>
- <name>Mylyn for Eclipse 3.8, 4.3 and 4.4</name>
+ <name>Mylyn for Eclipse 4.x</name>
<properties>
<qualifier>${project.unqualifiedVersion}</qualifier>
<sign-dir>tools/mylyn/signing/mylyn/${project.version}</sign-dir>
<mirrors-url>http://www.eclipse.org/downloads/download.php?file=/mylyn/drops/${unqualifiedVersion}/${buildQualifier}/site.xml&amp;amp;protocol=http&amp;amp;format=xml</mirrors-url>
- <!-- needs to use a 3.8 based target due to compatibility feature -->
- <target-platform>mylyn-e3.8</target-platform>
+ <target-platform>mylyn-e4.5</target-platform>
</properties>
<profiles>
<profile>
diff --git a/org.eclipse.mylyn-target/mylyn-dev-all.target b/org.eclipse.mylyn-target/mylyn-dev-all.target
index de195f6..7a4ce6b 100644
--- a/org.eclipse.mylyn-target/mylyn-dev-all.target
+++ b/org.eclipse.mylyn-target/mylyn-dev-all.target
@@ -58,7 +58,7 @@
<repository location="http://download.eclipse.org/eclipse/updates/3.8/R-3.8.2-201301310800"/>
</location>
</locations>
-<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
<launcherArgs>
<vmArgs>-Xms40m
-Xmx256m
diff --git a/org.eclipse.mylyn-target/mylyn-dev-e3.6.target b/org.eclipse.mylyn-target/mylyn-dev-e3.6.target
deleted file mode 100644
index 6e0956a..0000000
--- a/org.eclipse.mylyn-target/mylyn-dev-e3.6.target
+++ /dev/null
@@ -1,61 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<?pde version="3.8"?>
-
-<target name="mylyn-dev-e3.6" sequenceNumber="8">
-<locations>
-<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.cdt.platform.feature.group" version="7.0.2.201102110609"/>
-<unit id="org.eclipse.ecf.core.feature.group" version="3.3.1.v20100913-1814"/>
-<unit id="org.eclipse.equinox.concurrent" version="1.0.100.v20100503"/>
-<unit id="org.eclipse.sdk.ide" version="3.6.2.M20110210-1200"/>
-<unit id="org.eclipse.emf.common.feature.group" version="2.6.0.v20100914-1218"/>
-<unit id="org.eclipse.emf.common.ui.feature.group" version="2.6.0.v20100914-1218"/>
-<unit id="org.eclipse.emf.databinding.feature.group" version="1.2.0.v20100914-1218"/>
-<unit id="org.eclipse.emf.ecore.feature.group" version="2.6.1.v20100914-1218"/>
-<unit id="org.eclipse.emf.edit.feature.group" version="2.6.0.v20100914-1218"/>
-<unit id="org.eclipse.emf.edit.ui.feature.group" version="2.6.0.v20100914-1218"/>
-<repository location="http://download.eclipse.org/releases/helios"/>
-</location>
-<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.mylyn.builds.sdk.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.commons.sdk.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.commons.tck.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.context.sdk.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.docs.sdk.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.reviews.sdk.feature.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.sdk_feature.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.versions.sdk.feature.group" version="0.0.0"/>
-<repository location="http://download.eclipse.org/mylyn/snapshots/nightly"/>
-</location>
-<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.egit.feature.group" version="1.3.0.201202151440-r"/>
-<unit id="org.eclipse.jgit.feature.group" version="1.3.0.201202151440-r"/>
-<unit id="org.eclipse.jgit.source.feature.group" version="1.3.0.201202151440-r"/>
-<unit id="org.eclipse.egit.source.feature.group" version="1.3.0.201202151440-r"/>
-<unit id="org.eclipse.egit.mylyn.feature.group" version="1.3.0.201202151440-r"/>
-<repository location="http://download.eclipse.org/egit/updates-1.3"/>
-</location>
-<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.tigris.subversion.subclipse.feature.group" version="0.0.0"/>
-<unit id="org.tigris.subversion.subclipse.mylyn.feature.group" version="0.0.0"/>
-<unit id="org.tigris.subversion.clientadapter.feature.feature.group" version="0.0.0"/>
-<unit id="org.tigris.subversion.clientadapter.javahl.feature.feature.group" version="0.0.0"/>
-<repository location="http://subclipse.tigris.org/update_1.8.x"/>
-</location>
-<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.swtbot.eclipse.feature.group" version="0.0.0"/>
-<repository location="http://download.eclipse.org/technology/swtbot/helios/dev-build/update-site"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.jdt.annotation" version="1.0.1.v20130111-135246"/>
-<repository location="http://download.eclipse.org/eclipse/updates/3.8/R-3.8.2-201301310800"/>
-</location>
-</locations>
-<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
-<launcherArgs>
-<vmArgs>-Xms40m
--Xmx256m
--XX:MaxPermSize=128m</vmArgs>
-<programArgs>-consolelog</programArgs>
-</launcherArgs>
-</target>
diff --git a/org.eclipse.mylyn-target/mylyn-dev-e3.7.target b/org.eclipse.mylyn-target/mylyn-dev-e3.7.target
deleted file mode 100644
index 59296f8..0000000
--- a/org.eclipse.mylyn-target/mylyn-dev-e3.7.target
+++ /dev/null
@@ -1,60 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<?pde version="3.6"?>
-
-<target name="mylyn-dev-e3.7" sequenceNumber="16">
-<locations>
-<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.sdk.ide" version="0.0.0"/>
-<unit id="org.eclipse.cdt.platform.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.ecf.core.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.emf.ecore.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.emf.common.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.emf.common.ui.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.emf.databinding.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.emf.edit.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.emf.edit.ui.feature.group" version="0.0.0"/>
-<repository location="http://download.eclipse.org/releases/indigo/201109230900/"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.mylyn.builds.sdk.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.commons.sdk.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.commons.tck.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.context.sdk.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.docs.sdk.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.reviews.sdk.feature.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.sdk_feature.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.versions.sdk.feature.group" version="0.0.0"/>
-<repository location="http://download.eclipse.org/mylyn/snapshots/nightly"/>
-</location>
-<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.egit.feature.group" version="1.3.0.201202151440-r"/>
-<unit id="org.eclipse.jgit.feature.group" version="1.3.0.201202151440-r"/>
-<unit id="org.eclipse.jgit.source.feature.group" version="1.3.0.201202151440-r"/>
-<unit id="org.eclipse.egit.source.feature.group" version="1.3.0.201202151440-r"/>
-<unit id="org.eclipse.egit.mylyn.feature.group" version="1.3.0.201202151440-r"/>
-<repository location="http://download.eclipse.org/egit/updates-1.3"/>
-</location>
-<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.tigris.subversion.subclipse.feature.group" version="0.0.0"/>
-<unit id="org.tigris.subversion.subclipse.mylyn.feature.group" version="0.0.0"/>
-<unit id="org.tigris.subversion.clientadapter.feature.feature.group" version="0.0.0"/>
-<unit id="org.tigris.subversion.clientadapter.javahl.feature.feature.group" version="0.0.0"/>
-<repository location="http://subclipse.tigris.org/update_1.8.x"/>
-</location>
-<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.swtbot.eclipse.feature.group" version="0.0.0"/>
-<repository location="http://download.eclipse.org/technology/swtbot/helios/dev-build/update-site"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.jdt.annotation" version="1.0.1.v20130111-135246"/>
-<repository location="http://download.eclipse.org/eclipse/updates/3.8/R-3.8.2-201301310800"/>
-</location>
-</locations>
-<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
-<launcherArgs>
-<vmArgs>-Xms40m
--Xmx256m
--XX:MaxPermSize=128m</vmArgs>
-<programArgs>-consolelog</programArgs>
-</launcherArgs>
-</target>
diff --git a/org.eclipse.mylyn-target/mylyn-dev-e3.8.target b/org.eclipse.mylyn-target/mylyn-dev-e3.8.target
deleted file mode 100644
index 562b578..0000000
--- a/org.eclipse.mylyn-target/mylyn-dev-e3.8.target
+++ /dev/null
@@ -1,63 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<?pde version="3.8"?>
-
-<target name="mylyn-dev-e3.8" sequenceNumber="16">
-<locations>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.sdk.ide" version="0.0.0"/>
-<repository location="http://download.eclipse.org/eclipse/updates/3.8"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.cdt.platform.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.ecf.core.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.emf.ecore.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.emf.common.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.emf.common.ui.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.emf.databinding.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.emf.edit.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.emf.edit.ui.feature.group" version="0.0.0"/>
-<repository location="http://download.eclipse.org/releases/juno"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.mylyn.builds.sdk.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.commons.sdk.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.commons.tck.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.context.sdk.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.docs.sdk.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.reviews.sdk.feature.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.sdk_feature.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.mylyn.versions.sdk.feature.group" version="0.0.0"/>
-<repository location="http://download.eclipse.org/mylyn/snapshots/nightly"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.egit.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.egit.source.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.egit.mylyn.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.jgit.feature.group" version="0.0.0"/>
-<unit id="org.eclipse.jgit.source.feature.group" version="0.0.0"/>
-<repository location="http://download.eclipse.org/egit/updates-nightly"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.tigris.subversion.subclipse.feature.group" version="0.0.0"/>
-<unit id="org.tigris.subversion.subclipse.mylyn.feature.group" version="0.0.0"/>
-<unit id="org.tigris.subversion.clientadapter.feature.feature.group" version="0.0.0"/>
-<unit id="org.tigris.subversion.clientadapter.javahl.feature.feature.group" version="0.0.0"/>
-<repository location="http://subclipse.tigris.org/update_1.8.x"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="planner" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.swtbot.eclipse.feature.group" version="0.0.0"/>
-<repository location="http://download.eclipse.org/technology/swtbot/helios/dev-build/update-site"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.jdt.annotation" version="1.0.1.v20130111-135246"/>
-<repository location="http://download.eclipse.org/eclipse/updates/3.8/R-3.8.2-201301310800"/>
-</location>
-</locations>
-<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
-<launcherArgs>
-<vmArgs>-Xms40m
--Xmx256m
--XX:MaxPermSize=128m</vmArgs>
-<programArgs>-consolelog</programArgs>
-</launcherArgs>
-</target>
diff --git a/org.eclipse.mylyn-target/mylyn-dev-e4.2.target b/org.eclipse.mylyn-target/mylyn-dev-e4.2.target
index 6777968..2f88e79 100644
--- a/org.eclipse.mylyn-target/mylyn-dev-e4.2.target
+++ b/org.eclipse.mylyn-target/mylyn-dev-e4.2.target
@@ -45,7 +45,7 @@
<repository location="http://subclipse.tigris.org/update_1.8.x"/>
</location>
</locations>
-<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
<launcherArgs>
<vmArgs>-Xms40m
-Xmx256m
diff --git a/org.eclipse.mylyn-target/mylyn-dev-e4.3.target b/org.eclipse.mylyn-target/mylyn-dev-e4.3.target
index d529ab5..12d1f7f 100644
--- a/org.eclipse.mylyn-target/mylyn-dev-e4.3.target
+++ b/org.eclipse.mylyn-target/mylyn-dev-e4.3.target
@@ -47,7 +47,7 @@
<repository location="http://subclipse.tigris.org/update_1.8.x"/>
</location>
</locations>
-<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
<launcherArgs>
<vmArgs>-Xms40m
-Xmx256m
diff --git a/org.eclipse.mylyn-target/mylyn-e3.6.target b/org.eclipse.mylyn-target/mylyn-e3.6.target
deleted file mode 100644
index 63c3514..0000000
--- a/org.eclipse.mylyn-target/mylyn-e3.6.target
+++ /dev/null
@@ -1,90 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<?pde version="3.6"?>
-
-<target name="mylyn-e3.6" sequenceNumber="5">
-<locations>
-<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="com.google.gerrit.prettify" version="2.1.5.v201112241444"/>
-<unit id="com.google.gerrit.reviewdb" version="2.1.5.v201112241444"/>
-<unit id="com.google.gerrit.common" version="2.1.5.v201112241444"/>
-<unit id="com.google.gson" version="2.2.4.v201311231704"/>
-<unit id="com.google.gwt.servlet" version="2.0.4.v20100709-0658"/>
-<unit id="com.google.gwtjsonrpc" version="1.2.5.v201112241444"/>
-<unit id="com.google.gwtorm" version="1.1.4.v201112241444"/>
-<unit id="org.antlr.runtime" version="3.0.0.v200803061811"/>
-<unit id="org.apache.ant" version="1.8.4.v201404171501"/>
-<unit id="org.apache.ant.source" version="1.8.4.v201404171501"/>
-<unit id="org.apache.commons.codec" version="1.6.0.v201305230611"/>
-<unit id="org.apache.commons.httpclient" version="3.1.0.v201012070820"/>
-<unit id="org.apache.commons.io" version="2.0.1.v201105210651"/>
-<unit id="org.apache.commons.lang" version="2.6.0.v201404270220"/>
-<unit id="org.apache.commons.logging" version="1.1.1.v201101211721"/>
-<unit id="org.apache.xmlrpc" version="3.0.0.v20100427-1100"/>
-<unit id="org.apache.ws.commons.util" version="1.0.1.v20100518-1140"/>
-<unit id="org.hamcrest" version="1.1.0.v20090501071000"/>
-<unit id="org.hamcrest.core" version="1.1.0.v20090501071000"/>
-<unit id="org.hamcrest.generator" version="1.1.0.v20090501071000"/>
-<unit id="org.hamcrest.integration" version="1.1.0.v201303031500"/>
-<unit id="org.hamcrest.library" version="1.1.0.v20090501071000"/>
-<unit id="org.hamcrest.text" version="1.1.0.v20090501071000"/>
-<unit id="com.thoughtworks.qdox" version="1.6.3.v20081201-1400"/>
-<unit id="org.mockito" version="1.8.4.v201303031500"/>
-<unit id="org.objenesis" version="1.0.0.v201505121915"/>
-<unit id="org.apache.httpcomponents.httpclient" version="4.2.6.v201311072007"/>
-<unit id="org.apache.httpcomponents.httpcore" version="4.2.5.v201311072007"/>
-<unit id="org.jsoup" version="1.7.2.v201411291515"/>
-<unit id="org.apache.lucene.core" version="2.9.1.v201101211721"/>
-<unit id="org.apache.tika.core" version="1.3.0.v201505121915"/>
-<unit id="org.apache.tika.parsers" version="1.3.0"/>
-<unit id="com.google.guava" version="15.0.0.v201403281430"/>
-<unit id="javax.xml" version="1.3.4.v201005080400"/>
-<unit id="org.apache.xml.resolver" version="1.2.0.v201005080400"/>
-<unit id="org.apache.xml.serializer" version="2.7.1.v201005080400"/>
-<unit id="org.apache.xerces" version="2.9.0.v201101211617"/>
-<unit id="javax.servlet" version="3.0.0.v201112011016"/>
-<repository location="http://download.eclipse.org/tools/orbit/downloads/drops/R20160221192158/repository/"/>
-</location>
-<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.junit" version="4.8.2.v4_8_2_v20130308-0413"/>
-<repository location="http://download.eclipse.org/tools/orbit/downloads/drops/R20130517111416/repository/"/>
-</location>
-<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.cdt.platform.feature.group" version="7.0.2.201102110609"/>
-<unit id="org.eclipse.ecf.core.feature.group" version="3.3.1.v20100913-1814"/>
-<!--
-<unit id="org.eclipse.ecf.discovery.jmdns.feature.feature.group" version="1.0.0.v20100913-1814"/>
-<unit id="org.eclipse.ecf.discovery.feature.feature.group" version="1.0.0.v20100913-1814"/>
--->
-<unit id="org.eclipse.ecf.discovery" version="3.0.0.v20100913-1814"/>
-<unit id="org.eclipse.ecf.provider.discovery" version="2.1.100.v20100913-1814"/>
-<unit id="org.eclipse.ecf.provider.jmdns" version="4.0.0.v20100913-1814"/>
-<unit id="org.eclipse.equinox.concurrent" version="1.0.100.v20100503"/>
-<unit id="org.eclipse.emf.common.feature.group" version="2.6.0.v20100914-1218"/>
-<unit id="org.eclipse.emf.common.ui.feature.group" version="2.6.0.v20100914-1218"/>
-<unit id="org.eclipse.emf.databinding.feature.group" version="1.2.0.v20100914-1218"/>
-<unit id="org.eclipse.emf.ecore.feature.group" version="2.6.1.v20100914-1218"/>
-<unit id="org.eclipse.emf.edit.feature.group" version="2.6.0.v20100914-1218"/>
-<unit id="org.eclipse.emf.edit.ui.feature.group" version="2.6.0.v20100914-1218"/>
-<unit id="org.eclipse.sdk.ide" version="3.6.2.M20110210-1200"/>
-<repository location="http://download.eclipse.org/releases/helios"/>
-</location>
-<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.egit.feature.group" version="1.3.0.201202151440-r"/>
-<unit id="org.eclipse.jgit.feature.group" version="1.3.0.201202151440-r"/>
-<repository location="http://download.eclipse.org/egit/updates-1.3"/>
-</location>
-<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.tigris.subversion.subclipse.feature.group" version="1.8.10"/>
-<unit id="org.tigris.subversion.clientadapter.feature.feature.group" version="1.8.2"/>
-<repository location="http://subclipse.tigris.org/archive/subclipse_1.8.10"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.jdt.annotation" version="1.0.1.v20130111-135246"/>
-<repository location="http://download.eclipse.org/eclipse/updates/3.8/R-3.8.2-201301310800"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.license.feature.group" version="1.0.1.v20140414-1359"/>
-<repository location="http://download.eclipse.org/cbi/updates/license"/>
-</location>
-</locations>
-</target>
diff --git a/org.eclipse.mylyn-target/mylyn-e3.7.target b/org.eclipse.mylyn-target/mylyn-e3.7.target
deleted file mode 100644
index a5dafb4..0000000
--- a/org.eclipse.mylyn-target/mylyn-e3.7.target
+++ /dev/null
@@ -1,81 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<?pde version="3.8"?>
-
-<target name="mylyn-e3.7" sequenceNumber="12">
-<locations>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="com.google.gerrit.prettify" version="2.1.5.v201112241444"/>
-<unit id="com.google.gerrit.reviewdb" version="2.1.5.v201112241444"/>
-<unit id="com.google.gerrit.common" version="2.1.5.v201112241444"/>
-<unit id="com.google.gson" version="2.2.4.v201311231704"/>
-<unit id="com.google.gwt.servlet" version="2.0.4.v20100709-0658"/>
-<unit id="com.google.gwtjsonrpc" version="1.2.5.v201112241444"/>
-<unit id="com.google.gwtorm" version="1.1.4.v201112241444"/>
-<unit id="org.antlr.runtime" version="3.0.0.v200803061811"/>
-<unit id="org.apache.commons.codec" version="1.6.0.v201305230611"/>
-<unit id="org.apache.commons.httpclient" version="3.1.0.v201012070820"/>
-<unit id="org.apache.commons.io" version="2.0.1.v201105210651"/>
-<unit id="org.apache.commons.lang" version="2.6.0.v201404270220"/>
-<unit id="org.apache.commons.logging" version="1.1.1.v201101211721"/>
-<unit id="org.apache.xmlrpc" version="3.0.0.v20100427-1100"/>
-<unit id="org.apache.ws.commons.util" version="1.0.1.v20100518-1140"/>
-<unit id="org.hamcrest" version="1.1.0.v20090501071000"/>
-<unit id="org.hamcrest.core" version="1.1.0.v20090501071000"/>
-<unit id="org.hamcrest.generator" version="1.1.0.v20090501071000"/>
-<unit id="org.hamcrest.integration" version="1.1.0.v201303031500"/>
-<unit id="org.hamcrest.library" version="1.1.0.v20090501071000"/>
-<unit id="org.hamcrest.text" version="1.1.0.v20090501071000"/>
-<unit id="com.thoughtworks.qdox" version="1.6.3.v20081201-1400"/>
-<unit id="org.mockito" version="1.8.4.v201303031500"/>
-<unit id="org.objenesis" version="1.0.0.v201505121915"/>
-<unit id="org.apache.httpcomponents.httpclient" version="4.2.6.v201311072007"/>
-<unit id="org.apache.httpcomponents.httpcore" version="4.2.5.v201311072007"/>
-<unit id="org.jsoup" version="1.7.2.v201411291515"/>
-<unit id="org.apache.lucene.core" version="2.9.1.v201101211721"/>
-<unit id="org.apache.tika.core" version="1.3.0.v201505121915"/>
-<unit id="org.apache.tika.parsers" version="1.3.0"/>
-<unit id="com.google.guava" version="15.0.0.v201403281430"/>
-<unit id="javax.xml" version="1.3.4.v201005080400"/>
-<unit id="org.apache.xml.resolver" version="1.2.0.v201005080400"/>
-<unit id="org.apache.xml.serializer" version="2.7.1.v201005080400"/>
-<unit id="org.apache.xerces" version="2.9.0.v201101211617"/>
-<unit id="javax.servlet" version="3.0.0.v201112011016"/>
-<repository location="http://download.eclipse.org/tools/orbit/downloads/drops/R20160221192158/repository/"/>
-</location>
-<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.junit" version="4.8.2.v4_8_2_v20130308-0413"/>
-<repository location="http://download.eclipse.org/tools/orbit/downloads/drops/R20130517111416/repository/"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.cdt.platform.feature.group" version="8.0.2.201202111925"/>
-<unit id="org.eclipse.ecf.core.feature.group" version="3.5.4.v20111230-0120"/>
-<unit id="org.eclipse.equinox.concurrent" version="1.0.200.v20110502"/>
-<unit id="org.eclipse.emf.ecore.feature.group" version="2.7.1.v20120127-1122"/>
-<unit id="org.eclipse.emf.common.feature.group" version="2.7.0.v20120127-1122"/>
-<unit id="org.eclipse.emf.common.ui.feature.group" version="2.7.0.v20120130-0943"/>
-<unit id="org.eclipse.emf.databinding.feature.group" version="1.2.0.v20120130-0943"/>
-<unit id="org.eclipse.emf.edit.feature.group" version="2.7.2.v20120130-0943"/>
-<unit id="org.eclipse.emf.edit.ui.feature.group" version="2.7.0.v20120130-0943"/>
-<unit id="org.eclipse.sdk.ide" version="3.7.2.M20120208-0800"/>
-<repository location="http://download.eclipse.org/releases/indigo"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.egit.feature.group" version="1.3.0.201202151440-r"/>
-<unit id="org.eclipse.jgit.feature.group" version="1.3.0.201202151440-r"/>
-<repository location="http://download.eclipse.org/egit/updates-1.3"/>
-</location>
-<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.tigris.subversion.subclipse.feature.group" version="1.8.10"/>
-<unit id="org.tigris.subversion.clientadapter.feature.feature.group" version="1.8.2"/>
-<repository location="http://subclipse.tigris.org/archive/subclipse_1.8.10"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.jdt.annotation" version="1.0.1.v20130111-135246"/>
-<repository location="http://download.eclipse.org/eclipse/updates/3.8/R-3.8.2-201301310800"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.license.feature.group" version="1.0.1.v20140414-1359"/>
-<repository location="http://download.eclipse.org/cbi/updates/license"/>
-</location>
-</locations>
-</target>
diff --git a/org.eclipse.mylyn-target/mylyn-e3.8.target b/org.eclipse.mylyn-target/mylyn-e3.8.target
deleted file mode 100644
index 09b964f..0000000
--- a/org.eclipse.mylyn-target/mylyn-e3.8.target
+++ /dev/null
@@ -1,77 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<?pde version="3.8"?><target name="mylyn-e3.8" sequenceNumber="12">
-<locations>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="com.google.gerrit.prettify" version="2.1.5.v201112241444"/>
-<unit id="com.google.gerrit.reviewdb" version="2.1.5.v201112241444"/>
-<unit id="com.google.gerrit.common" version="2.1.5.v201112241444"/>
-<unit id="com.google.gson" version="2.2.4.v201311231704"/>
-<unit id="com.google.gwt.servlet" version="2.0.4.v20100709-0658"/>
-<unit id="com.google.gwtjsonrpc" version="1.2.5.v201112241444"/>
-<unit id="com.google.gwtorm" version="1.1.4.v201112241444"/>
-<unit id="javax.el" version="2.2.0.v201303151357"/>
-<unit id="org.antlr.runtime" version="3.0.0.v200803061811"/>
-<unit id="org.apache.commons.codec" version="1.6.0.v201305230611"/>
-<unit id="org.apache.commons.httpclient" version="3.1.0.v201012070820"/>
-<unit id="org.apache.commons.io" version="2.0.1.v201105210651"/>
-<unit id="org.apache.commons.lang" version="2.6.0.v201404270220"/>
-<unit id="org.apache.commons.logging" version="1.1.1.v201101211721"/>
-<unit id="org.apache.xmlrpc" version="3.0.0.v20100427-1100"/>
-<unit id="org.apache.ws.commons.util" version="1.0.1.v20100518-1140"/>
-<unit id="org.hamcrest" version="1.1.0.v20090501071000"/>
-<unit id="org.hamcrest.core" version="1.1.0.v20090501071000"/>
-<unit id="org.hamcrest.generator" version="1.1.0.v20090501071000"/>
-<unit id="org.hamcrest.integration" version="1.1.0.v201303031500"/>
-<unit id="org.hamcrest.library" version="1.1.0.v20090501071000"/>
-<unit id="org.hamcrest.text" version="1.1.0.v20090501071000"/>
-<unit id="com.thoughtworks.qdox" version="1.6.3.v20081201-1400"/>
-<unit id="org.mockito" version="1.8.4.v201303031500"/>
-<unit id="org.objenesis" version="1.0.0.v201505121915"/>
-<unit id="org.apache.httpcomponents.httpclient" version="4.2.6.v201311072007"/>
-<unit id="org.apache.httpcomponents.httpcore" version="4.2.5.v201311072007"/>
-<unit id="org.jsoup" version="1.7.2.v201411291515"/>
-<unit id="org.apache.lucene.core" version="2.9.1.v201101211721"/>
-<unit id="org.apache.tika.core" version="1.3.0.v201505121915"/>
-<unit id="org.apache.tika.parsers" version="1.3.0"/>
-<unit id="com.google.guava" version="15.0.0.v201403281430"/>
-<unit id="javax.xml" version="1.3.4.v201005080400"/>
-<unit id="org.apache.xml.resolver" version="1.2.0.v201005080400"/>
-<unit id="org.apache.xml.serializer" version="2.7.1.v201005080400"/>
-<unit id="org.apache.xerces" version="2.9.0.v201101211617"/>
-<unit id="javax.servlet" version="3.0.0.v201112011016"/>
-<repository location="http://download.eclipse.org/tools/orbit/downloads/drops/R20150821153341/repository/"/>
-</location>
-<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.junit" version="4.8.2.v4_8_2_v20130308-0413"/>
-<repository location="http://download.eclipse.org/tools/orbit/downloads/drops/R20130517111416/repository/"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.sdk.ide" version="3.8.2.M20130131-0800"/>
-<unit id="org.eclipse.jdt.annotation" version="1.0.1.v20130111-135246"/>
-<repository location="http://download.eclipse.org/eclipse/updates/3.8"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.cdt.platform.feature.group" version="8.1.2.201302132326"/>
-<unit id="org.eclipse.ecf.core.feature.group" version="3.5.6.v20120610-1946"/>
-<unit id="org.eclipse.equinox.concurrent" version="1.0.300.v20120912-130548"/>
-<unit id="org.eclipse.emf.ecore.feature.group" version="2.8.3.v20130125-0546"/>
-<unit id="org.eclipse.emf.common.feature.group" version="2.8.0.v20130125-0546"/>
-<unit id="org.eclipse.emf.common.ui.feature.group" version="2.7.0.v20130125-0826"/>
-<unit id="org.eclipse.emf.databinding.feature.group" version="1.2.0.v20130125-0826"/>
-<unit id="org.eclipse.emf.edit.feature.group" version="2.8.0.v20130125-0826"/>
-<unit id="org.eclipse.emf.edit.ui.feature.group" version="2.8.0.v20130125-0826"/>
-<unit id="org.eclipse.egit.feature.group" version="2.2.0.201212191850-r"/>
-<unit id="org.eclipse.jgit.feature.group" version="2.2.0.201212191850-r"/>
-<repository location="http://download.eclipse.org/releases/juno"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.tigris.subversion.subclipse.feature.group" version="1.8.10"/>
-<unit id="org.tigris.subversion.clientadapter.feature.feature.group" version="1.8.2"/>
-<repository location="http://subclipse.tigris.org/archive/subclipse_1.8.10"/>
-</location>
-<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
-<unit id="org.eclipse.license.feature.group" version="1.0.1.v20140414-1359"/>
-<repository location="http://download.eclipse.org/cbi/updates/license"/>
-</location>
-</locations>
-</target>
diff --git a/org.eclipse.mylyn-target/pom.xml b/org.eclipse.mylyn-target/pom.xml
index eefc5be..a12f35a 100644
--- a/org.eclipse.mylyn-target/pom.xml
+++ b/org.eclipse.mylyn-target/pom.xml
@@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
-<project
+<project
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<modelVersion>4.0.0</modelVersion>
@@ -27,21 +27,6 @@
<configuration>
<artifacts>
<artifact>
- <file>mylyn-e3.6.target</file>
- <type>target</type>
- <classifier>mylyn-e3.6</classifier>
- </artifact>
- <artifact>
- <file>mylyn-e3.7.target</file>
- <type>target</type>
- <classifier>mylyn-e3.7</classifier>
- </artifact>
- <artifact>
- <file>mylyn-e3.8.target</file>
- <type>target</type>
- <classifier>mylyn-e3.8</classifier>
- </artifact>
- <artifact>
<file>mylyn-e4.2.target</file>
<type>target</type>
<classifier>mylyn-e4.2</classifier>
diff --git a/org.eclipse.mylyn.tests/.classpath b/org.eclipse.mylyn.tests/.classpath
index 7276e34..b2941b4 100644
--- a/org.eclipse.mylyn.tests/.classpath
+++ b/org.eclipse.mylyn.tests/.classpath
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
<accessrules>
<accessrule kind="accessible" pattern="org/eclipse/mylyn/**"/>
diff --git a/org.eclipse.mylyn.tests/.settings/org.eclipse.jdt.core.prefs b/org.eclipse.mylyn.tests/.settings/org.eclipse.jdt.core.prefs
index 995858d..98973ec 100644
--- a/org.eclipse.mylyn.tests/.settings/org.eclipse.jdt.core.prefs
+++ b/org.eclipse.mylyn.tests/.settings/org.eclipse.jdt.core.prefs
@@ -8,9 +8,9 @@ org.eclipse.jdt.core.codeComplete.localSuffixes=
org.eclipse.jdt.core.codeComplete.staticFieldPrefixes=
org.eclipse.jdt.core.codeComplete.staticFieldSuffixes=
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
-org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.compliance=1.8
org.eclipse.jdt.core.compiler.debug.lineNumber=generate
org.eclipse.jdt.core.compiler.debug.localVariable=generate
org.eclipse.jdt.core.compiler.debug.sourceFile=generate
@@ -74,7 +74,7 @@ org.eclipse.jdt.core.compiler.problem.unusedParameterWhenOverridingConcrete=disa
org.eclipse.jdt.core.compiler.problem.unusedPrivateMember=warning
org.eclipse.jdt.core.compiler.problem.unusedWarningToken=warning
org.eclipse.jdt.core.compiler.problem.varargsArgumentNeedCast=warning
-org.eclipse.jdt.core.compiler.source=1.7
+org.eclipse.jdt.core.compiler.source=1.8
org.eclipse.jdt.core.compiler.taskCaseSensitive=enabled
org.eclipse.jdt.core.compiler.taskPriorities=NORMAL,HIGH,NORMAL
org.eclipse.jdt.core.compiler.taskTags=TODO,FIXME,XXX
diff --git a/org.eclipse.mylyn.tests/META-INF/MANIFEST.MF b/org.eclipse.mylyn.tests/META-INF/MANIFEST.MF
index 8a118d4..0512e07 100644
--- a/org.eclipse.mylyn.tests/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.tests/META-INF/MANIFEST.MF
@@ -39,4 +39,4 @@ Require-Bundle: org.junit;bundle-version="4.5.0",
org.eclipse.mylyn.team.tests,
org.eclipse.mylyn.wikitext.context.ui,
org.eclipse.mylyn.wikitext.tests
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8

Back to the top